From 77b258f436874bdd1caecd4b3c9c63e3d49bd147 Mon Sep 17 00:00:00 2001
From: Junio C Hamano <gitster@pobox.com>
Date: Sat, 11 Aug 2007 14:08:20 -0700
Subject: [PATCH] t3404: fix "fake-editor"

Here-text to create fake-editor did not use <<\EOF but <<EOF,
but there was no point doing so, as it quoted all the variables
anyway.  Simplify it.

Also futureproof the special mode to edit COMMIT_EDITMSG file;
it is interested in editing the COMMIT_EDITMSG file in any
GIT_DIR; GIT_DIR may be given as an absolute path.

Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
 t/t3404-rebase-interactive.sh | 36 ++++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 17 deletions(-)

diff --git a/t/t3404-rebase-interactive.sh b/t/t3404-rebase-interactive.sh
index a9b552ff0..40d6799ed 100755
--- a/t/t3404-rebase-interactive.sh
+++ b/t/t3404-rebase-interactive.sh
@@ -61,29 +61,31 @@ test_expect_success 'setup' '
 	git tag I
 '
 
-cat > fake-editor.sh << EOF
+cat > fake-editor.sh <<\EOF
 #!/bin/sh
-test "\$1" = .git/COMMIT_EDITMSG && {
-	test -z "\$FAKE_COMMIT_MESSAGE" || echo "\$FAKE_COMMIT_MESSAGE" > "\$1"
-	test -z "\$FAKE_COMMIT_AMEND" || echo "\$FAKE_COMMIT_AMEND" >> "\$1"
+case "$1" in
+*/COMMIT_EDITMSG)
+	test -z "$FAKE_COMMIT_MESSAGE" || echo "$FAKE_COMMIT_MESSAGE" > "$1"
+	test -z "$FAKE_COMMIT_AMEND" || echo "$FAKE_COMMIT_AMEND" >> "$1"
 	exit
-}
-test -z "\$EXPECT_COUNT" ||
-	test "\$EXPECT_COUNT" = \$(grep -ve "^#" -e "^$" < "\$1" | wc -l) ||
+	;;
+esac
+test -z "$EXPECT_COUNT" ||
+	test "$EXPECT_COUNT" = $(sed -e '/^#/d' -e '/^$/d' < "$1" | wc -l) ||
 	exit
-test -z "\$FAKE_LINES" && exit
-grep -v "^#" < "\$1" > "\$1".tmp
-rm "\$1"
-cat "\$1".tmp
+test -z "$FAKE_LINES" && exit
+grep -v '^#' < "$1" > "$1".tmp
+rm -f "$1"
+cat "$1".tmp
 action=pick
-for line in \$FAKE_LINES; do
-	case \$line in
+for line in $FAKE_LINES; do
+	case $line in
 	squash)
-		action="\$line";;
+		action="$line";;
 	*)
-		echo sed -n "\${line}s/^pick/\$action/p"
-		sed -n "\${line}p" < "\$1".tmp
-		sed -n "\${line}s/^pick/\$action/p" < "\$1".tmp >> "\$1"
+		echo sed -n "${line}s/^pick/$action/p"
+		sed -n "${line}p" < "$1".tmp
+		sed -n "${line}s/^pick/$action/p" < "$1".tmp >> "$1"
 		action=pick;;
 	esac
 done
-- 
2.26.2